MyStatWin = MyStatWin or {}
MyStatWin.version = 3.3
MyStatWin.currentPlayer = ""	-- keeps track of current player name. Needed to prevent saved vars for multiple characters from mixing

MyStatWin.colors = {
	gold		=	"|cFFFF00",
	green		=	"|c00FF00",
	red			=	"|cFF0000",
	orange		=	"|cFFA500",
	cyan		=	"|c00FFFF",
	blue		=	"|c0000FF",
	white		=	"|cFFFFFF",
	yellow		=	"|cFFFF00",
	magenta		=	"|cFF00FF",
	purple		=	"|c800080",
	black		=	"|c000000"
}

MyStatWin.globals =
{
	Modules = {
		EXP				=	"",	
		BagSpace		=	"", 
		Gold			=	"",
		SkillPoints		=	"", 
		Mail			=	"", 
		Zone			=	"",
		Time			=	"", 
		Location		=	"", 
		FPS				=	"",
		AP				=	"", 
		BankMoney		=	"", 
		RepairCost		=	"",
		AchievePoint	=	"",
		HorseTimer		=	"", 
		SpecXP			=	"",
		AvA				=	""
	},
	Data = {
		counter			=	0,
		barString		=	"",
		spacerSize 		= 	10,
		xpPct			=	0
	},
	moduleSizes = { ["Location"]		=	20, ["SkillPoints"]		=	19, ["Gold"]			=	13, ["BagSpace"]		=	14,
					["Time"]			=	16, ["EXP"]				=	17,	["FPS"]				=	9,  ["Zone"]			=	25,
					["AP"]				=	10, ["BankMoney"]		= 	14,	["RepairCost"]		=	17,	["AchievePoint"]	=	18,	
					["Mail"]			=	10, ["HorseTimer"]		=	21, ["SpecXP"]			=	19, ["AvA"]				=	22, ["XPBar"] = 120
	},
	fontSizing = {  ["10"] = 6, ["12"] = 7,
					["14"] = 8, ["16"] = 9.5,
					["18"] = 11,["20"] = 12.5
	},
	colors = {
		modNameColor = "|cFFFF00",
		modNumColor = "|c00FF00",
		modPuncColor = "|c00FFFF",
		modSpaceColor = "|c00FFFF",
		modTextColor = "|cFFA500"
	},
	Functions = {}
}

