local EM = EVENT_MANAGER
local MSWSavedVars = {}

local MSWDefaultModules = {
		["Location"]	=	true,  ["SkillPoints"]	=	true,   ["Gold"]			=	true,
		["BagSpace"]	=	true,  ["Time"]			=	false,  ["EXP"]				=	false,
		["FPS"]			=	false, ["Zone"]			=	false,  ["AP"]				=	false, 
		["BankMoney"]	= 	false, ["RepairCost"]	=	false,  ["AchievePoint"]	=	false,	
		["Mail"]		=	false, ["HorseTimer"]	=	false,  ["SpecXP"]			=	false,	
		["AvA"]			=	false, ["XPBar"]		=	false
}

local MSWDefaultSettings = {
		usedFont = "Consolas",
		currStyle = "soft-shadow-thick",
		currFontSize = 14,
		currAlpha = 0.0,
		barOffset = {X = 20;Y = 10},
		settingsOffset = {X = 0;Y = 0},
		barDimensions = {X = 583; Y = 25},
		fontSizing = 8,
		moduleCount = 4,
		locked = false,
		bumpLock = true,
		dragBarLoc = false,
		barColor = {
			r = 0.25,
			g = 0.25,
			b = 0.25,
			a = 0.64,
			alpha = 0.5
		},
		version = 3.3,
		modNameColorRGB = {r = 255, g = 255, b = 0, a = 1.0},
		modNumColorRGB = {r = 0, g = 255, b = 0, a = 1.0},
		modPuncColorRGB = {r = 0, g = 255, b = 255, a = 1.0},
		modSpaceColorRGB = {r = 0, g = 255, b = 255, a = 1.0},
		modTextColorRGB = {r = 255, g = 165, b = 0, a = 1.0},
		modNameColor = "|cFFFF00",
		modNumColor = "|c00FF00",
		modPuncColor = "|c00FFFF",
		modSpaceColor = "|c00FFFF",
		modTextColor = "|cFFA500"
}

function MyStatWin.setupSavedVars()
	MSWSavedVars = {
		["Modules"] = ZO_SavedVars:New( "MyStatusWindow_SavedVars", 23, "Modules" , MSWDefaultModules, nil),
		["Settings"] = ZO_SavedVars:New( "MyStatusWindow_SavedVars", 23, "Settings" , MSWDefaultSettings, nil)
	}
	return MSWSavedVars
end

local function Init(event, name)
	if name == "MyStatusWindow" then
		EM:UnregisterForEvent("MSW_SavedVars",event)
		MyStatWin.setupSavedVars()
	end
end

EM:RegisterForEvent("MSW_SavedVars",EVENT_ADD_ON_LOADED,Init)